@charset "utf-8";

:root {
  --brand-color: #001D42;
  --sub-color: #CDCDCD;
  --accent-color: #FFD700;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: inherit;
}

ul {
  list-style: none;
}

img {
  max-width: 100%;
  display: block;
}

body {
  background-color: var(--brand-color);
  font-family: "Yu Gothic", "Hiragino Sans", sans-serif;
  max-width: 100%;
}

li,
h3,
p {
  color: var(--sub-color);
}

p,
select,
option,
textarea,
input,
label {
  font-weight: 300;
}

h1,
h2 {
  color: var(--accent-color);
}

.header__nav,
.section-title {
  font-family: "Asset", serif;
  font-weight: 400;
  font-style: normal;
}

.pc-menu {
  position: fixed;
  width: 100%;
  background-color: color-mix(in srgb, var(--brand-color), transparent 50%);
}

.sp-menu {
  display: none;
  position: fixed;
  overflow: hidden;
  width: 100%;
}

.menu__open {
  position: fixed;
}

.menu__close {
  position: absolute;
}

span.menu__open,
span.menu__close {
  color: var(--sub-color);
  font-size: 48px;
  padding: 16px;
  right: 0;
}

span.menu__open:hover,
span.menu__close:hover {
  cursor: pointer;
}

.sp-menu__inner {
  position: fixed;
  right: -500px;
  top: 0;
  height: 100dvh;
    border-left: var(--sub-color) 1px solid;
    width: fit-content;
    padding: 0 24px;
    background-color: var(--brand-color);
    transition: 1s;
}

.sp-menu__inner.active {
  right: 0;
}

.sp-menu ul {
  flex-direction: column;
  width: fit-content;
}

.header__nav {
  font-size: 24px;
  display: flex;
  gap: 48px;
  justify-content: center;
  margin-top: 24px;
}

.fv {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.copy {
  font-family: "Diplomata", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 64px;
  line-height: 2;
}

.section-title {
  font-size: 48px;
  line-height: 4;
  text-align: center;
}

.about {
  width: fit-content;
  margin: auto;
}

.about__sub {
  font-size: 24px;
  width: 80px;
  font-weight: 600;
}

.profile,
.skills {
  display: flex;
}

.profile {
  margin-bottom: 24px;
}

.about__content {
  margin-left: 48px;
  font-size: 20px;
  text-align: justify;
}

.works {
  width: 80dvw;
  margin: auto;
}

.works__list {
  display: flex;
  justify-content: center;
  gap: 24px;
}

.works__img {
  aspect-ratio: 3 / 4;
  width: 30%;
}

.more {
  display: flex;
  background: var(--accent-color);
  color: var(--brand-color);
  aspect-ratio: 1 / 1;
  width: 64px;
  border-radius: 50%;
  margin-top: 16px;
  margin-left: auto;
  transition: background-color;
  transition: .3s;
}

.more a {
  aspect-ratio: 1 / 1;
  display: flex;
}

.more .more__arrow {
  font-size: 48px;
  line-height: 64px;
  margin: auto;
  font-variation-settings: 'wght' 300;
  justify-content: center;
}

.more:hover {
  background-color: #D0B000;
}

.contact {
  width: 40%;
  margin: auto;
  font-size: 20px;
  color: var(--sub-color);
}

.contact__text {
  margin-bottom: 24px;
}

.contact__form {
  display: flex;
  flex-direction: column;
  margin-bottom: 48px;
}

select {
  display: flex;
  flex-direction: column;
  width: 100%;
}

input,
select,
textarea {
  background-color: var(--sub-color);
  color: var(--brand-color);
  font-size: 20px;
  margin-bottom: 24px;
}

textarea {
  aspect-ratio: 5 / 1;
}

.submit {
  color: var(--brand-color);
  background-color: var(--accent-color);
  font-size: 20px;
  font-weight: 600;
  width: 80px;
  height: 40px;
  margin: auto;
  border-radius: 50px;
  border: 0;
  transition-property: background-color;
  transition: .3s;
}

.submit:hover {
  cursor: pointer;
  background-color: #D0B000;
}

.works-page {
  margin-bottom: 48px;
}

.page__title {
  padding-top: 48px;
}

.works__list.works-page {
  width: 82%;
  margin: auto;
}

.works__img.works-page {
  width: 100%;
}

.works__card {
  font-size: 20px;
  margin: 0 auto 24px;
  width: 28%;
}

.works__detail {
  line-height: 1.6;
  text-align: justify;
}

.thanks {
  font-size: 20px;
  display: flex;
  justify-content: center;
}

.thanks__back {
  font-size: 20px;
  margin-top: 24px;
  display: flex;
  justify-content: center;
  text-decoration: underline;
}


@media (max-width: 800px) {

  body {
    padding: 0 20px;
  }

  .pc-menu {
    display: none;
  }

  .sp-menu {
    display: block;
  }

  .copy {
    font-size: 48px;
    height: 100dvh;
    line-height: 1.4;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .section-title {
    font-size: 40px;
  }

  .about__sub {
    font-size: 20px;
    width: 32px;
  }

  .about__content {
    font-size: 16px;
  }

  .more {
    width: 48px;
  }

  .more .more__arrow {
    font-size: 36px;
    line-height: 48px;
  }

  .contact {
    width: 90%;
  }

  .works__list.works-page {
    flex-direction: column;
    width: 100%;
  }

  .works__card {
    width: 100%;
  }

  .works__img.works-page {
    margin: 0;
  }

  .works__detail {
    font-size: 16px;
  }
}